System.Web 2.0.0.0 System.Object To be added.

Specifies a custom virtual-directory hierarchy for a Web application. This class cannot be inherited.

- Constructor
  To be added.

  Creates a new instance of the class based on supplied parameters.

  A string value that specifies the absolute path to a physical directory.
  A Boolean value that indicates whether the virtual directory is the application root of the Web application.
  2.0.0.0
- Constructor
  To be added.

  Creates a new instance of the class based on supplied parameters.

  A string value that specifies the absolute path to a physical directory.
  A Boolean value that indicates whether the virtual directory is the application root of the Web application.
  The name of the configuration file.
  2.0.0.0
- Property
  System.String To be added.

  If the name of the configuration file is not specified, Web.config is used.

  Gets or sets the name of the configuration file.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the virtual directory should be treated as the application root.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets a value that specifies the full server path of a Web application.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets a value that specifies the virtual directory relative to the root of the Web server.

  2.0.0.0